SystemOrganization addCategory: #'PW-Pages'!

ALFormExample subclass: #PWFormExample
	instanceVariableNames: 'radio integer2 integer3 dropdown'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Pages'!

!PWFormExample commentStamp: 'chc 6/17/2016 14:00' prior: 0!
Subclasses extending the AL-Examples-* packages of Altitude. !

!PWFormExample methodsFor: 'as yet unclassified' stamp: 'hc 3/10/2016 10:30'!
initialize
	integer := 'start string 2'.
	radio := ''.
	integer2 := 0.
	integer3 := 0.
	dropdown := 'peaches'! !

!PWFormExample methodsFor: 'as yet unclassified' stamp: 'chc 8/29/2016 10:42'!
renderContentOn: html
	self renderFormsOn: html! !

!PWFormExample methodsFor: 'as yet unclassified' stamp: 'chc 8/29/2016 10:43'!
renderFormsOn: html
	html p: 'Two Integer Inputs:'.
	html form beMethodGet; with:
		[html input 
			beTypeText
			value: integer2 printString;
			callback: [:str | integer2 := str asNumber];
			with: [].
		html input 
			beTypeText
			value: integer3 printString;
			callback: [:str | integer3 := str asNumber];
			with: [].
		html input beTypeSubmit.
		html br.
		html text: integer2 asWords.
		html br.
		html text: integer3 asWords].
	html p: 'Radio Button:'.
	html form beMethodGet; with:
		[html input beTypeRadio
			value: 'male';
			callback: [:str | radio := str ].
		html br. 
		html input beTypeRadio
			value: 'female';
			callback: [:str | radio := str ].
		html br.
		html input beTypeSubmit.
		html text: radio ].
	html p: 'Ordered List:'.
	html ol:
		[#('apples' 'oranges' 'grapes') do:
			[:i | 
			html li:
				[html text: i ]]].
	html p: 'Unordered List:'.
	html ul:
		[#('apples' 'oranges' 'grapes') do:
			[:each | 
			html li: each ]].
	html p: 'Drop-down List:'.
	"html form beMethodGet; with:
		[html select 
				callback: [:str| dropdown := str ];
					with: [html option with: [html text: 'superduper'].
						   html option with: [html text: 'another'].
						    html option with: [html text: 'garycooper']].
		html input beTypeSubmit.
		html br.
		html p: dropdown].
"
! !

ALFormExample subclass: #PWInstallerScriptForm
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Pages'!

!PWInstallerScriptForm commentStamp: 'chc 6/21/2016 08:11' prior: 0!
I'm not sure what this is for. This may be for evaluating the Installer script.!

!PWInstallerScriptForm methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:12'!
initialize

	integer := 'add Installer script here'! !

!PWInstallerScriptForm methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:09'!
renderContentOn: html
	html form beMethodGet; with:
		[html input 
			beTypeText
			value: integer printString;
			size: '100';
			callback: [:str | Compiler evaluate: str unescapePercents "integer := str ""asNumber"];
			with: [].
		html text: integer "asWords"].
	self renderFormsOn: html! !

ALAsyncExample subclass: #PWConfigPage
	instanceVariableNames: 'integer something'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Pages'!

!PWConfigPage commentStamp: 'chc 6/17/2016 13:57' prior: 0!
A page is a sub variet of a component. Pages are labelled pages. Pages respond to #renderContentOn:. Components respond to #renderOn: !

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 1/7/2016 18:45'!
initialize
	integer := 'off'.
	something := 'Coco Beware'! !

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 3/29/2016 11:54'!
installerScriptForPEGWiki
	^'Installer ss3 project: ''PEGWiki'';
	install: ''PEGWiki-Model'';
 	install: ''PEGWiki-Core'';
	install: ''PEGWiki-PEG'';
	install: ''PEGWiki-Resources'';
	install: ''PEGWiki-Examples'''! !

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 2/1/2016 13:50'!
renderAttribute: anAttribute on: anHtmlCanvas

	! !

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 8/29/2016 11:01'!
renderContentOn: html
	| shell |
	"shell := CommandShell new."
	html form beMethodGet; with:
		[ html p: 'Show wiki syntax form for editing page content: '.
			html input 
			beTypeRadio;
			value: 'on';
			callback: [:str | PWSeasidePrefsModel instance takeValue: str forAttribute: (WAStringAttribute key: #render group: #wikidata). ];
			with: [html text: 'On'].
		html br. 
		html input beTypeRadio;
			value: 'off';
			callback: [:str | PWSeasidePrefsModel instance takeValue: str forAttribute: (WAStringAttribute key: #render group: #wikidata). ];
			with: [html text: 'Off'].
		html br.
		html input beTypeSubmit; value: 'Save'.
		html br.
		html text: (PWSeasidePrefsModel instance valueAt: #render) ].
	
		"html table with: [ 
			PWSeasidePrefsModel instance groupedAttributes do: [:association| 
					html tr with: [
						html td colspan: '2'; with: [ html h3: (self labelForSelector: association key).
							association value do: [ :attribute |
								self renderAttribute: attribute on: html ]
				 			]]]].
		html br.
		html table
			with: [html tr
				with: [html td with: 'Port'.
					html td with: '8624']].
		html textarea."
		html p: 'Installer script form:'. html br. 
		html form beMethodGet; with:
		[html textarea 
			"beTypeText"
			"size: '100';"
			"value: 'Installer ss project: ''Games''; install: ''MorphicGames-md.1.mcz''';"
			callback: [:str | Compiler evaluate: str unescapePercents "integer := str ""asNumber"];
			with: [ "html text: 'Installer ss project: ''Games''; install: ''MorphicGames-md.1.mcz'''" html text: self installerScriptForPEGWiki ].
		html br.
		html input beTypeSubmit.
		"html text: integer asWords"].
	html p: 'Purge code to default and restart image:'. html br. 
	html a 
		class: 'action';
		callback: [ shell command: '/home/ooplu/vm/working/cogspurlinuxht/squeak   -vm display=none /home/ooplu/images/working/Squeak5.0-15113.image &'.
					SmalltalkImage current snapshot: false andQuit: true
		]; 
		with: 'Restart'.
		self renderStyleOn: html.
		
		
		
		! !

!PWConfigPage methodsFor: 'as yet unclassified' stamp: 'chc 1/28/2016 12:32'!
renderStyleOn: html
	^ html style: '
			table, tr, td {border: 1px solid green;}'! !

ALExample subclass: #PWAsyncExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-Pages'!

!PWAsyncExample methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:19'!
renderContentOn: html
	html span
		class: 'counter';
		id: 'count';
		with: '0'.
((PWSeasidePrefsModel instance valueAt: #render) = 'on') ifTrue: [
	html form id: 'myform'; beMethodPost; with:
		[html textarea name: 'wikiString'; with: [ html text: (PWSeasidePrefsModel instance valueAt: #currentString)].
		 html br. 
		 html input beTypeSubmit ]]. 
	self renderScriptsOn: html! !

!PWAsyncExample methodsFor: 'as yet unclassified' stamp: 'chc 6/21/2016 08:19'!
renderScriptsOn: html
	html script src: 'https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js'.
	html script src: 'http://localhost:8624/jquery.form.js'.
	html script
		type: 'application/javascript';
		with: [html raw: self libraryScript].
	html script 
		type: 'application/javascript';
		with: [self renderFormScriptOn: html].
	html script
		type: 'application/javascript';
		with: [self renderInitScriptOn: html]! !
